/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.leaveapply.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.leaveapply.entity.LeaveDetail;
import com.jeeplus.modules.leaveapply.dao.LeaveDetailDao;

/**
 * 请假申请Service
 * @author ssrh
 * @version 2018-09-10
 */
@Service
@Transactional(readOnly = true)
public class LeaveDetailService extends CrudService<LeaveDetailDao, LeaveDetail> {

	public LeaveDetail get(String id) {
		return super.get(id);
	}
	
	public List<LeaveDetail> findList(LeaveDetail leaveDetail) {
		return super.findList(leaveDetail);
	}
	
	public Page<LeaveDetail> findPage(Page<LeaveDetail> page, LeaveDetail leaveDetail) {
		return super.findPage(page, leaveDetail);
	}
	
	@Transactional(readOnly = false)
	public void save(LeaveDetail leaveDetail) {
		super.save(leaveDetail);
	}
	
	@Transactional(readOnly = false)
	public void delete(LeaveDetail leaveDetail) {
		super.delete(leaveDetail);
	}
	
	
	
	
}